org.eclipse.emf.cdo.server

## Interface ISynchronizableRepository

- All Superinterfaces:
    CDOCommonRepository, CDOTimeProvider, IAdaptable, IContainer<java.lang.Object>, IDeactivateable, ILifecycle, INotifier, IQueryHandlerProvider, IRepository
  All Known Subinterfaces:
    InternalFailoverParticipant, InternalSynchronizableRepository

      public interface ISynchronizableRepository
      extends IRepository

  A repository with the ability to `synchronize` its content with another repository.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IRepository

      `IRepository.Handler, IRepository.Props, IRepository.ReadAccessHandler, IRepository.WriteAccessHandler`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `CDOCommonRepository.CommitInfoStorage, CDOCommonRepository.IDGenerationLocation, CDOCommonRepository.ListOrdering, CDOCommonRepository.State, CDOCommonRepository.StateChangedEvent, CDOCommonRepository.Type, CDOCommonRepository.TypeChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.IRepository

      `SYSTEM_USER_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLastReplicatedBranchID()`
    `long` | `getLastReplicatedCommitTime()`
    `ISession` | `getReplicatorSession()`
    `IRepositorySynchronizer` | `getSynchronizer()`
    `void` | `goOffline()`
    `void` | `goOnline()`
    `boolean` | `hasBeenReplicated()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IRepository

      `addCommitInfoHandler, addHandler, getBranchManager, getCommitConflictResolver, getCommitInfoHandlers, getCommitInfoManager, getHandlers, getLastCommitTimeStamp, getLockingManager, getLockManager, getPackageRegistry, getProperties, getQueryHandlerProvider, getRevisionManager, getSessionManager, getStore, getUnitManager, removeCommitInfoHandler, removeHandler, setInitialPackages, validateTimeStamp, waitForCommit`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `getCommitInfoStorage, getCreationTime, getIDGenerationLocation, getName, getObjectIDTypes, getRootResourceID, getState, getStoreType, getType, getUUID, isAuthenticating, isEnsuringReferentialIntegrity, isSerializingCommits, isSupportingAudits, isSupportingBranches, isSupportingEcore, isSupportingUnits, waitWhileInitial`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.util.CDOTimeProvider

      `getTimeStamp`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getSynchronizer

          IRepositorySynchronizer getSynchronizer()

    - #### getReplicatorSession

          ISession getReplicatorSession()

    - #### getLastReplicatedBranchID

          int getLastReplicatedBranchID()

    - #### getLastReplicatedCommitTime

          long getLastReplicatedCommitTime()

    - #### hasBeenReplicated

          boolean hasBeenReplicated()

      Since:
        4.2

    - #### goOnline

          void goOnline()

      Since:
        4.1

    - #### goOffline

          void goOffline()

      Since:
        4.1

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html